# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%if 0%{?build_kernels:1}
%{error:alt_kernel and build_kernels are mutually exclusive}
exit 1
%endif
%global		_build_kernels		%{alt_kernel}
%else
%global		_build_kernels		%{?build_kernels:,%{?build_kernels}}
%endif

%define		kpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%kernel_pkg ; done)
%define		bkpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%build_kernel_pkg ; done)
%define		ikpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%install_kernel_pkg ; done)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		_duplicate_files_terminate_build	0

%define		rel	8
%define		pname	igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	5.0.5
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	cff8b7f54d25c47888b96466ff69a950
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpm-build-macros >= 1.678
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-igb\
Summary:	Intel(R) PRO/1000 driver for Linux\
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
\
%description -n kernel%{_alt_kernel}-net-igb\
This package contains the Linux driver for the Intel(R) PRO/1000\
adapters with 82575EB/GB or 82576 chipsets.\
\
%description -n kernel%{_alt_kernel}-net-igb -l pl.UTF-8\
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny\
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.\
\
%files	-n kernel%{_alt_kernel}-net-igb\
%defattr(644,root,root,755)\
%doc README\
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/modprobe.d/%{_kernel_ver}/%{pname}.conf\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*\
%{_mandir}/man7/igb.7*\
\
%post	-n kernel%{_alt_kernel}-net-igb\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-igb\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -C src -m %{pname}\
%install_kernel_modules -D installed -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current\
%{nil}

%define install_kernel_pkg()\
install -d $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}\
# blacklist kernel module\
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'\
blacklist igb\
alias igb igb-current\
EOF\
%{nil}

%{expand:%kpkg}

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := igb.o
igb-objs := igb_main.o e1000_82575.o e1000_i210.o e1000_mac.o e1000_nvm.o e1000_phy.o \
	e1000_manage.o igb_param.o igb_ethtool.o kcompat.o e1000_api.o \
	e1000_mbx.o igb_vmdq.o igb_procfs.o igb_hwmon.o igb_ptp.o

EXTRA_CFLAGS += -DIGB_PTP
EXTRA_CFLAGS += -DDRIVER_IGB
EXTRA_CFLAGS += -DDRIVER_NAME=igb
EXTRA_CFLAGS += -DDRIVER_NAME_CAPS=IGB
EOF

%build
%{expand:%bkpkg}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man7

%{expand:%ikpkg}
cp -a installed/* $RPM_BUILD_ROOT

cp -a igb.7 $RPM_BUILD_ROOT%{_mandir}/man7

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Dec 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/igb.git;a=log;h=auto/th/igb-5.0.5-8

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 1aa920c
- switch to macro driven module build for multiple kernel versions
- rel 8

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> 4e9babc
- rebuild for kernel-3.10.15-1
- release 7 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> b7b3a6f
- rebuild for kernel-3.10.14-1
- release 6 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 8ce1ff7
- rebuild for kernel-3.10.13-1
- release 5 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> cfc5dc3
- rebuild for kernel-3.10.12-1
- release 4 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> 9075002
- rebuild for kernel-3.10.11-1
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 67f84dc
- rebuild for kernel-3.10.10-1
- release 2 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> ff8d284
- up to 5.0.5

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 4fe01c2
- rebuild for kernel-3.10.9-1
- release 8 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> 9b58f7c
- release 7 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> f426514
- rebuild for kernel-3.9.11-1
- release 6 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> f82bac7
- rebuild for kernel-3.9.9-1
- release 5 (by relup.sh)

* Thu Jun 27 2013 Jan Rękorajski <baggins@pld-linux.org> 2af351f
- rebuild for kernel-3.9.8-1
- release 4 (by relup.sh)

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 72189fb
- rebuild for kernel-3.9.7-1
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 9e4a6b2
- rebuild for kernel-3.9.6-1
- release 2 (by relup.sh)

* Fri Jun 07 2013 Jan Rękorajski <baggins@pld-linux.org> 8c47de6
- rel 1

* Tue Jun 04 2013 Jan Rękorajski <baggins@pld-linux.org> 00aa76d
- updated build

* Tue Jun 04 2013 Jan Rękorajski <baggins@pld-linux.org> ea69dca
- updated to 4.2.16
- removed obsolete patch

* Mon Jun 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7a2ba32
- rebuild for kernel-3.9.4-3
- release 18 (by relup.sh)

* Fri May 24 2013 Jan Rękorajski <baggins@pld-linux.org> 08dd5a7
- rebuild for kernel-3.7.10-9
- release 17 (by relup.sh)

